CPU topologies in nova - doesn't mention numa specific image properties

Bug #1763761 reported by Matt Riedemann on 2018-04-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Medium
Chason Chan
OpenStack Compute (nova)
Medium
Stephen Finucane

Bug Description

- [x] This is a doc addition request.

This doc only talks about flavor extra specs for specifying numa nodes using the "hw:numa_nodes" flavor extra spec, but it's also possible to define numa nodes using the hw_numa_nodes image property, which coincidentally is also missing from the glance image properties doc:

https://docs.openstack.org/python-glanceclient/latest/cli/property-keys.html

-----------------------------------
Release: 17.0.0.0rc2.dev694 on 2018-04-13 15:32
SHA: e93be2690754bcba4cb346d4376ce87f94f03303
Source: https://git.openstack.org/cgit/openstack/nova/tree/doc/source/admin/cpu-topologies.rst
URL: https://docs.openstack.org/nova/latest/admin/cpu-topologies.html

Matt Riedemann (mriedem) on 2018-04-13
Changed in python-glanceclient:
status: New → Confirmed
importance: Undecided → Medium
Brian Rosmaita (brian-rosmaita) wrote :

I've got a patch up moving the list of properties from the glanceclient docs (which is a weird place for them) to the Glance Admin Guide: https://review.openstack.org/#/c/565780/

I'll move this bug to Glance once the doc move is merged and it can be fixed there.

Brian Rosmaita (brian-rosmaita) wrote :

Doc is now in the Glance repo: doc/source/admin/useful-image-properties.rst

Changed in glance:
status: New → Triaged
importance: Undecided → Medium
Changed in python-glanceclient:
status: Confirmed → Invalid
Matt Riedemann (mriedem) on 2019-09-20
tags: added: low-hanging-fruit
no longer affects: python-glanceclient

UNSUUBSCRIBE!!!

> On Sep 20, 2019, at 11:36 AM, Matt Riedemann <email address hidden> wrote:
>
> ** Tags added: low-hanging-fruit
>
> ** No longer affects: python-glanceclient
>
> --
> You received this bug notification because you are subscribed to Glance.
> Matching subscriptions: peterbs
> https://bugs.launchpad.net/bugs/1763761
>
> Title:
> CPU topologies in nova - doesn't mention numa specific image
> properties
>
> Status in Glance:
> Triaged
> Status in OpenStack Compute (nova):
> Confirmed
>
> Bug description:
> - [x] This is a doc addition request.
>
> This doc only talks about flavor extra specs for specifying numa nodes
> using the "hw:numa_nodes" flavor extra spec, but it's also possible to
> define numa nodes using the hw_numa_nodes image property, which
> coincidentally is also missing from the glance image properties doc:
>
> https://docs.openstack.org/python-glanceclient/latest/cli/property-
> keys.html
>
> -----------------------------------
> Release: 17.0.0.0rc2.dev694 on 2018-04-13 15:32
> SHA: e93be2690754bcba4cb346d4376ce87f94f03303
> Source: https://git.openstack.org/cgit/openstack/nova/tree/doc/source/admin/cpu-topologies.rst
> URL: https://docs.openstack.org/nova/latest/admin/cpu-topologies.html
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/glance/+bug/1763761/+subscriptions

Chason Chan (chen-xing) on 2019-09-23
Changed in nova:
assignee: nobody → Chason Chan (chen-xing)
Changed in glance:
assignee: nobody → Chason Chan (chen-xing)

Fix proposed to branch: master
Review: https://review.opendev.org/683838

Changed in glance:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/683849

Changed in nova:
status: Confirmed → In Progress
Changed in nova:
assignee: Chason Chan (chen-xing) → Stephen Finucane (stephenfinucane)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers